For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
HomepageProduct HelpLog inTry for Free
Developers HomeAPI ReferenceMCP
Developers HomeAPI ReferenceMCP
  • Getting Started
    • Introduction
    • Authentication with API Keys
    • Authentication with OAuth
    • API Clients
    • Pagination
    • Specifying Fields
    • Filter Parameters
    • HTTP Response Codes
    • Rate Limits
    • Timezone Offsets
    • Rich Text Fields
    • Changelog
  • CRM Core
    • Leads
    • Contacts
    • Opportunities
    • Tasks
    • Files
    • Custom Objects
    • Comments
  • Activities
    • Activities
    • Notes
    • Calls
    • Emails
    • Email Threads
    • WhatsApp Messages
    • Meetings
    • Custom Activities
    • Creations
    • Form Submissions
    • Lead Status Changes
    • Opportunity Status Changes
    • Lead Merges
    • Task Completions
  • Events & Webhooks
    • Webhooks
    • Events
  • Search & Reporting
    • Advanced Filtering
    • Smart Views
    • Reporting
  • Automation & Bulk Actions
    • Sequences (Workflows)
    • Bulk Actions
    • Exports
    • AI Field Enrichment
  • CRM Configuration
    • Custom Fields
      • Custom Field Schemas
      • Shared Custom Fields
        • GETList Shared Custom Fields
        • POSTCreate a new Shared Custom Field
        • GETFetch Shared Custom Field's details
        • PUTUpdate a Shared Custom Field
        • DELDelete a Shared Custom Field
        • POSTAssociate a Shared Custom Field with an object type
        • GETFetch a Shared Custom Field Association
        • PUTUpdate an existing Shared Custom Field Association
        • DELDisassociate a Shared Custom Field from an object type
    • Custom Activity Types
    • Custom Object Types
    • Pipelines
    • Opportunity Statuses
    • Lead Statuses
    • Integration Links
    • Forms
  • Communication Configuration
    • Email Templates
    • SMS Templates
    • Outcomes
    • Playbooks
    • Scheduling Links Guide
    • Scheduling Links
    • Connected Accounts
    • Send As
    • Unsubscribed Emails
    • Phone Numbers
    • Blocked Phone Numbers
    • Dialers
  • Users & Organizations
    • Users
    • Organizations
    • Memberships
    • Roles
    • Groups
Close

Product

OverviewCommunicationAutomationIntegrationsReportingSMSCallingSecurityForms

Pricing & Use Cases

PricingClose vs Other CRMsCustomer Stories

Resources

Sales BlogSales ResourcesSales GuidesWebinarsOn-Demand DemoSales Tools

Company

AboutCareersPartner with CloseBrand GuidelinesTermsPrivacyGDPRCCPA

Get Help

+1-833-GO-CLOSEHelp CenterDownload the Close AppProduct UpdatesSystem Status
LogoLogo
HomepageProduct HelpLog inTry for Free
CRM ConfigurationCustom FieldsShared Custom Fields

List Shared Custom Fields

||View as Markdown|
GET
https://api.close.com/api/v1/custom_field/shared/
GET
/api/v1/custom_field/shared/
$curl https://api.close.com/api/v1/custom_field/shared/ \
> -u "<CLOSE_API_KEY>:"
1{
2 "data": [
3 {
4 "accepts_multiple_values": false,
5 "associations": [
6 {
7 "editable_with_roles": [],
8 "object_type": "lead",
9 "required": false
10 },
11 {
12 "editable_with_roles": [],
13 "object_type": "contact",
14 "required": false
15 },
16 {
17 "custom_activity_type_id": "actitype_2FqdeKTAEfMTwD4SVWwXqX",
18 "editable_with_roles": [],
19 "object_type": "custom_activity_type",
20 "required": true
21 }
22 ],
23 "created_by": "user_Ova4RGFG7pztSeJiiMFdN7O2MFl71nD0uGO3bIOo4Wk",
24 "date_created": "2021-04-10T17:36:09.235000+00:00",
25 "date_updated": "2021-04-10T17:36:09.235000+00:00",
26 "description": "User assigned to this Lead/Contact/Activity.",
27 "id": "cf_aU54Bvr6Rw8UBHh7zRboL3PYhbOVJl3XvwgPm3jgaKq",
28 "name": "Owner",
29 "organization_id": "orga_RbREgmiiwcr1w2b4cOnCMQaQPSIFxMqAD2Dh243uxcH",
30 "type": "user",
31 "updated_by": "user_Ova4RGFG7pztSeJiiMFdN7O2MFl71nD0uGO3bIOo4Wk"
32 },
33 {
34 "accepts_multiple_values": false,
35 "associations": [
36 {
37 "editable_with_roles": [],
38 "object_type": "lead",
39 "required": false
40 },
41 {
42 "editable_with_roles": [],
43 "object_type": "contact",
44 "required": false
45 }
46 ],
47 "choices": [
48 "No",
49 "Yes"
50 ],
51 "created_by": "user_Ova4RGFG7pztSeJiiMFdN7O2MFl71nD0uGO3bIOo4Wk",
52 "date_created": "2020-07-28T20:05:36.202000+00:00",
53 "date_updated": "2020-07-28T20:05:36.202000+00:00",
54 "description": "They requested not to be contacted again.",
55 "id": "cf_cSh3fWT3rEJ1BFSezme2YAG6bPrZV5wUWKKrW4iN19g",
56 "name": "Do Not Contact",
57 "organization_id": "orga_RbREgmiiwcr1w2b4cOnCMQaQPSIFxMqAD2Dh243uxcH",
58 "type": "choices",
59 "updated_by": "user_Ova4RGFG7pztSeJiiMFdN7O2MFl71nD0uGO3bIOo4Wk"
60 }
61 ],
62 "has_more": false
63}
List all the shared custom fields for your organization.
Was this page helpful?
Previous

Shared

Next

Create a new Shared Custom Field

Built with

Authentication

AuthorizationBasic
Use your API key as the username and leave the password empty.
OR
AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

_fieldsstringOptional

Comma-separated list of fields to include in the response.

Response

Successful response

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error